> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/orders-shipping/post-methods/set-shipping-packaging-information/request.md).

# Request and Response

## Set the order´s packaging information

<mark style="color:green;">`POST`</mark> `https://api.alephcrm.com/v2/orders/{orderId}/shipping/packaging`

#### Query Parameters

| Name                                         | Type    | Description                                                                                                |
| -------------------------------------------- | ------- | ---------------------------------------------------------------------------------------------------------- |
| API\_KEY<mark style="color:red;">\*</mark>   | String  | (default=none)                                                                                             |
| accountId <mark style="color:red;">\*</mark> | Integer | (default=none)                                                                                             |
| orderId <mark style="color:red;">\*</mark>   | Integer | (default=none)                                                                                             |
| packInfoType                                 |         | [Type specifications](/v2/orders-shipping/get-methods/shipping-packaging-information/response.md#packinfo) |

{% tabs %}
{% tab title="201: Created {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="300: Multiple Choices {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="304: Not Modified {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="400: Bad Request {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="401: Unauthorized {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="403: Forbidden {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="404: Not Found {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="412: Precondition Failed {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="416: Range Not Satisfiable {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="429: Too Many Requests {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="500: Internal Server Error string" %}

{% endtab %}
{% endtabs %}

## Parameters details

### API\_KEY

The API\_KEY that was provided.

### accountId

The Alephee account ID of the orders you are trying to get.

### orderId

Alephee ID to identify the order

### packInfoType

The JSON object including the packaging information to set.\
This endpoint will return a HTTP 201 response code for a successful operation or any other error code otherwise.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.alephee.com/v2/orders-shipping/post-methods/set-shipping-packaging-information/request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
